The System API is different from the other Rhythm apps because it is not focused on a specific area of association management. Instead, this API provides endpoints that are useful across all the other areas of the platform. It is most commonly used to execute Queries which may combine data points from several apps.
System
/- Gets the definition for a specific type of query including the available fields
Gets the current status and results for a query that has previously been started
Starts a new query and returns the query id and info
Gets the definition for a...
System (v1-2025-04-18)
Download OpenAPI description
Languages
Servers
Mock server
https://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1
https://system.api.rhythmsoftware.com
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/queries/{tenantId}/describe/{id}
- https://system.api.rhythmsoftware.com/queries/{tenantId}/describe/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/queries/{tenantId}/describe/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "duration": 0.1, "has_result_set": true, "id": "string", "metadata_uri": "string", "rows": 0.1, "schedule_id": "string", "size": 0.1, "status": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "uri": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/queries/{tenantId}/public/description/{queryType}
- https://system.api.rhythmsoftware.com/queries/{tenantId}/public/description/{queryType}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/queries/{tenantId}/public/description/{queryType}?contextId=string'Response
application/json
{ "common_table_expressions": [ { … } ], "context": { "display_name": "string", "field": "string", "help_text": "string", "required": true, "service": "string" }, "default_output_fields": [ { … } ], "default_sort_fields": [ { … } ], "description": "string", "fields": [ { … } ], "id": "string", "name": "string", "perform_custom_resolution_logic": true, "primary_table": "string", "services": [ { … } ] }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/queries/{tenantId}/start/{queryType}/{outputFormat}
- https://system.api.rhythmsoftware.com/queries/{tenantId}/start/{queryType}/{outputFormat}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/queries/{tenantId}/start/{queryType}/{outputFormat}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"context_id": "string",
"criteria": {},
"limit": 0.1,
"name": "string",
"offset": 0.1,
"output_fields": [
{
"alias": "string",
"label": "string",
"name": "string"
}
],
"sort_fields": [
{
"descending": true,
"name": "string"
}
]
}'Response
application/json
{ "id": "string" }